- New upstream 3.0.0. Drop patches torque-cond-touch.patch and

torque-start-start.patch since both upstream now.
This commit is contained in:
Steve Traylen 2010-12-09 23:58:26 +01:00
parent 1f9abac0bc
commit 098bdfe696
5 changed files with 8 additions and 125 deletions

1
.gitignore vendored
View File

@ -1,2 +1,3 @@
/torque-2.5.2.tar.gz
/torque-2.5.3.tar.gz
/torque-3.0.0.tar.gz

View File

@ -1 +1 @@
b7868cf95582e20f2725651f97266947 torque-2.5.3.tar.gz
1f8e56035901f1ff7ac3c099198d2a91 torque-3.0.0.tar.gz

View File

@ -1,45 +0,0 @@
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_mom torque-2.5.2/contrib/init.d/pbs_mom
--- torque-2.5.2.ORIG/contrib/init.d/pbs_mom 2010-10-14 21:47:05.035383236 +0200
+++ torque-2.5.2/contrib/init.d/pbs_mom 2010-10-14 21:49:38.433427973 +0200
@@ -54,7 +54,7 @@
# ulimit -c unlimited # Uncomment this to preserve core files
daemon $PBS_DAEMON $args -d $PBS_HOME
RET=$?
- touch /var/lock/subsys/pbs_mom
+ [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_mom
echo
;;
purge)
@@ -62,7 +62,7 @@
echo -n "Starting TORQUE Mom with purge: "
daemon $PBS_DAEMON -r
RET=$?
- touch /var/lock/subsys/pbs_mom
+ [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_mom
echo
;;
stop)
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_sched torque-2.5.2/contrib/init.d/pbs_sched
--- torque-2.5.2.ORIG/contrib/init.d/pbs_sched 2010-10-14 21:47:05.034384022 +0200
+++ torque-2.5.2/contrib/init.d/pbs_sched 2010-10-14 21:50:32.826542794 +0200
@@ -22,7 +22,7 @@
echo -n "Starting TORQUE Scheduler: "
daemon $PBS_DAEMON -d $PBS_HOME
RET=$?
- touch /var/lock/subsys/pbs_sched
+ [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_sched
echo
;;
stop)
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_server torque-2.5.2/contrib/init.d/pbs_server
--- torque-2.5.2.ORIG/contrib/init.d/pbs_server 2010-10-14 21:47:05.034384022 +0200
+++ torque-2.5.2/contrib/init.d/pbs_server 2010-10-14 21:50:09.310577353 +0200
@@ -28,7 +28,7 @@
daemon $PBS_DAEMON -t create -d $PBS_HOME
fi
RET=$?
- touch /var/lock/subsys/pbs_server
+ [ $RET -eq 0 ] && touch /var/lock/subsys/pbs_server
echo
;;
stop)

View File

@ -1,71 +0,0 @@
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_mom torque-2.5.2/contrib/init.d/pbs_mom
--- torque-2.5.2.ORIG/contrib/init.d/pbs_mom 2010-10-14 23:20:58.500633494 +0200
+++ torque-2.5.2/contrib/init.d/pbs_mom 2010-10-14 23:36:00.369403267 +0200
@@ -51,6 +51,9 @@
case "$1" in
start)
echo -n "Starting TORQUE Mom: "
+ status pbs_mom 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_mom already running" && success && echo && exit 0
# ulimit -c unlimited # Uncomment this to preserve core files
daemon $PBS_DAEMON $args -d $PBS_HOME
RET=$?
@@ -67,6 +70,9 @@
;;
stop)
echo -n "Shutting down TORQUE Mom: "
+ status pbs_mom 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_mom already stopped" && success && echo && exit 0
kill_pbs_mom
RET=$?
[ $RET -eq 0 ] && success "shutdown" || failure "shutdown"
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_sched torque-2.5.2/contrib/init.d/pbs_sched
--- torque-2.5.2.ORIG/contrib/init.d/pbs_sched 2010-10-14 23:20:58.500633494 +0200
+++ torque-2.5.2/contrib/init.d/pbs_sched 2010-10-14 23:38:04.275381652 +0200
@@ -20,6 +20,10 @@
case "$1" in
start)
echo -n "Starting TORQUE Scheduler: "
+ status pbs_sched 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_sched already running" && success && echo && exit 0
+
daemon $PBS_DAEMON -d $PBS_HOME
RET=$?
[ $RET -eq 0 ] && touch /var/lock/subsys/pbs_sched
@@ -27,6 +31,9 @@
;;
stop)
echo -n "Shutting down TORQUE Scheduler: "
+ status pbs_sched 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_sched already stopped" && success && echo && exit 0
killproc pbs_sched
RET=$?
rm -f /var/lock/subsys/pbs_sched
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_server torque-2.5.2/contrib/init.d/pbs_server
--- torque-2.5.2.ORIG/contrib/init.d/pbs_server 2010-10-14 23:20:58.499634001 +0200
+++ torque-2.5.2/contrib/init.d/pbs_server 2010-10-14 23:37:06.460197422 +0200
@@ -20,6 +20,10 @@
case "$1" in
start)
echo -n "Starting TORQUE Server: "
+ status pbs_server 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_server already running" && success && echo && exit 0
+
# ulimit -c unlimited # Uncomment this to preserve core files
if [ -r $PBS_HOME/server_priv/serverdb ]
then
@@ -51,6 +55,9 @@
;;
stop)
echo -n "Shutting down TORQUE Server: "
+ status pbs_server 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_server already stopped" && success && echo && exit 0
killproc pbs_server
RET=$?
rm -f /var/lock/subsys/pbs_server

View File

@ -67,8 +67,8 @@
%global server_nameflags --with-default-server=%{server_name}
Name: torque
Version: 2.5.3
Release: 3%{?dist}
Version: 3.0.0
Release: 1%{?dist}
Summary: Tera-scale Open-source Resource and QUEue manager
Source0: http://www.clusterresources.com/downloads/%{name}/%{name}-%{version}.tar.gz
Source2: xpbs.desktop
@ -77,12 +77,8 @@ Source4: xpbs.png
Source5: xpbsmon.png
Source6: README.Fedora
Source8: config
# https://bugzilla.redhat.com/show_bug.cgi?id=528060
Patch0: torque-cond-touch.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=631256
Patch1: torque-create-request.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=643194
Patch2: torque-start-start.patch
License: OpenPBS
Group: System Environment/Daemons
URL: http://www.clusterresources.com/products/torque/
@ -333,9 +329,7 @@ DRMAA is "Distributed Resource Management Application API"
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
install -pm 644 %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
%{SOURCE6} %{SOURCE8} .
# rm x bit on some documentation.
@ -774,6 +768,10 @@ fi
%endif
%changelog
* Thu Dec 9 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.0-1
- New upstream 3.0.0. Drop patches torque-cond-touch.patch and
torque-start-start.patch since both upstream now.
* Wed Dec 8 2010 Steve Traylen <steve.traylen@cern.ch> - 2.5.3-3
- Remove own copy of pbs-config. #657027
- Move man pages from doc subpackage to relavent sub package.